## qmapshack 1.12.3.1+rb2

=== CMakeLists.txt ===
###############################################################################################
# CMake compatibility requirements
###############################################################################################
cmake_minimum_required(VERSION 3.0.0)

# Needed to properly handle extract translations strings when using the Ninja
# generator.
if (COMMAND CMAKE_POLICY)
    if (POLICY CMP0058)
        cmake_policy(SET CMP0058 NEW)
    endif()
endif()

if (COMMAND CMAKE_POLICY)
    if (POLICY CMP0048)
        cmake_policy(SET CMP0048 NEW)
    endif()
endif()

###############################################################################################
# Define project name and version tags
###############################################################################################
# this is not only the QMS version it will be the package version, too.
project(QMapShack VERSION 1.12.3)

# FOR A RELEASE:
# remove "development" for a release
set(VERSION_SUFFIX "")
# !!! Do not forget to update versions in the sub-repos, too!!!


###############################################################################################
# Define paths and include other modules
###############################################################################################
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

# all binaries are collected in the ./bin directory
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)

include(TranslateTs)
include(TranslateDesktop)
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(CPackConfig.cmake)
include(ConfigureChecks.cmake)

###############################################################################################
# All boolean options
###############################################################################################

# Translation related
option(UPDATE_TRANSLATIONS  "Update source translation translations/*.ts files"     OFF)
option(KEEP_OLD_TRANSLATIONS "Keep obsolete translations"                           ON)

# Feature related
option(BUILD_QMAPSHACK      "Build QMapShack Binary"                                ON)
option(BUILD_QMAPTOOL       "Build QMapTool Binary including command line tools"    ON)

if(WIN32)
option(USE_QT5DBus          "Enable device detection via DBus"                      OFF)
else(WIN32)
option(USE_QT5DBus          "Enable device detection via DBus"                      ON)
endif(WIN32)

# Compiler related
option(BUILD_FOR_LOCAL_SYSTEM "Build for local system ONLY (resulting binary might not work on other systems!)" OFF)

if(KEEP_OLD_TRANSLATIONS)
    set(KEEP_OLD_TRANSLATIONS "")
else(KEEP_OLD_TRANSLATIONS)
    set(KEEP_OLD_TRANSLATIONS "-no-obsolete")
endif(KEEP_OLD_TRANSLATIONS)


###############################################################################################
# All OS and compiler specific tweaks
###############################################################################################
if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_INIT} -Wall -std=c++11 -stdlib=libc++")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -stdlib=libc++")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -framework Foundation -framework DiskArbitration")
    SET(LINK_FLAGS "${LINK_FLAGS} -framework Foundation -framework DiskArbitration")
    SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.11")
endif(APPLE)

if(WIN32)
    set(QT_DEV_PATH   "C:\\Qt5\\5.12.1\\msvc2017_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.11.1\\msvc2017_64")
    set(GDAL_DEV_PATH "C:\\GDAL" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
    set(PROJ_DEV_PATH "C:\\PROJ" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
    set(ROUTINO_DEV_PATH "C:\\routino" CACHE PATH "Path to directory containing routino include and lib, e.g. M:\\lib\\routino")
    set(QUAZIP_DEV_PATH "C:\\quazip" CACHE PATH "Path to directory containing quazip include and lib, e.g. M:\\lib\\quazip5")
    set(JPEG_DEV_PATH "C:\\JPEG" CACHE PATH "Path to directory containing JPEG include and lib, e.g. M:\\lib\\JPEG")
    set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_DEV_PATH})
endif(WIN32)

if(MSVC)
    # Add link-time code generation to improve performance
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
    set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
    set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
    set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

if(UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -lstdc++ -lm")
    add_definitions(-Wall -Wpedantic -Wno-switch -Wno-strict-aliasing)
endif(UNIX)


###############################################################################################
# GCC specific compiler tweaks
###############################################################################################
if(BUILD_FOR_LOCAL_SYSTEM)
    cxx_local_system_optimization()
endif(BUILD_FOR_LOCAL_SYSTEM)

# try to figure out which compiler flags are supported (and add them)
cxx_add_flag_if_supported(-Wsuggest-override)
cxx_add_flag_if_supported(-Woverloaded-virtual)

###############################################################################################
# Find all required packages and setup internal variables
###############################################################################################
find_package(Qt5Widgets             REQUIRED)
find_package(Qt5Core                REQUIRED)
find_package(Qt5Xml                 REQUIRED)
find_package(Qt5Sql                 REQUIRED)
find_package(Qt5LinguistTools       REQUIRED)
find_package(Qt5PrintSupport        REQUIRED)
find_package(Qt5UiTools             REQUIRED)
find_package(Qt5Network             REQUIRED)
find_package(Qt5WebEngineWidgets    REQUIRED)
find_package(Qt5Qml                 REQUIRED)
find_package(GDAL                   REQUIRED)
find_package(PROJ                   REQUIRED)
find_package(JPEG                   REQUIRED)
find_package(ROUTINO                REQUIRED)
find_package(QuaZip                 REQUIRED)
find_package(ALGLIB                         ) # optional as we can use our local version


if(${Qt5Widgets_VERSION} VERSION_LESS 5.8.0)
    message( SEND_ERROR "You need at least Qt5.8 or newer.")
endif()

if(USE_QT5DBus)
    find_package(Qt5DBus REQUIRED)
    if(Qt5DBus_FOUND)
        add_definitions(-DHAVE_DBUS)
    endif(Qt5DBus_FOUND)
endif(USE_QT5DBus)

# Everything included. Let's finetune the mess a bit more

if(APPLE)
     find_library(DiskArbitration_LIBRARY DiskArbitration)
     find_library(Foundation_LIBRARY Foundation)
endif(APPLE)


if(NOT ALGLIB_FOUND AND BUILD_QMAPSHACK)
    set(ALGLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/alglib/src)
    set(ALGLIB_LIBRARIES alg)
    add_subdirectory(3rdparty/alglib)
endif(NOT ALGLIB_FOUND AND BUILD_QMAPSHACK)

###############################################################################################
# Create global config.h
###############################################################################################
if (APPLE)
  set(PROGNAME "QMapShack")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
else(APPLE)
  set(PROGNAME ${PROJECT_NAME})
  set(CONFIGDIR ".config/QLandkarte/")
endif(APPLE)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

###############################################################################################
# Now we are ready to compile all sub-projects
###############################################################################################
if(BUILD_QMAPSHACK)
add_subdirectory(src/qmapshack)
endif(BUILD_QMAPSHACK)

if(BUILD_QMAPTOOL)
add_subdirectory(src/qmaptool)
add_subdirectory(src/qmt_rgb2pct)
add_subdirectory(src/qmt_map2jnx)
endif(BUILD_QMAPTOOL)

###############################################################################################
# Copy a few more files need by the install/unistall target
###############################################################################################
if (UNIX AND NOT WIN32 AND NOT APPLE)
if(BUILD_QMAPSHACK)
    install( FILES        src/icons/48x48/QMapShack.png     DESTINATION     ${DATA_INSTALL_PREFIX}/pixmaps )    
    install( DIRECTORY    src/icons/qmapshack/hicolor       DESTINATION     ${ICON_INSTALL_DIR} )
    install( FILES        qmapshack.1                       DESTINATION     ${MAN_INSTALL_DIR}/man1  )
endif(BUILD_QMAPSHACK)

if(BUILD_QMAPTOOL)
    install( FILES        src/icons/48x48/QMapTool.png      DESTINATION     ${DATA_INSTALL_PREFIX}/pixmaps )
    install( DIRECTORY    src/icons/qmaptool/hicolor        DESTINATION     ${ICON_INSTALL_DIR} )
    install( FILES        qmaptool.1                        DESTINATION     ${MAN_INSTALL_DIR}/man1  )
    install( FILES        qmt_map2jnx.1                     DESTINATION     ${MAN_INSTALL_DIR}/man1  )
    install( FILES        qmt_rgb2pct.1                     DESTINATION     ${MAN_INSTALL_DIR}/man1  )
endif(BUILD_QMAPTOOL)
endif (UNIX AND NOT WIN32 AND NOT APPLE)

# this is used by the uninstall target
CONFIGURE_FILE( "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/qmapshack/CMakeLists.txt ===
# Prevent custom commands/targets outputs to be deleted by make clean
# We need this to prevent .ts files from being deleted with make clean, when
# UPDATE_TRANSLATIONS=ON
# WARNING: Only works with Makefile generator.
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM TRUE)
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)


###############################################################################################
# Setup application name and version tags
###############################################################################################

STRING(TOLOWER ${PROJECT_NAME} APPLICATION_NAME)

add_definitions(
    -DVER_MAJOR=${PROJECT_VERSION_MAJOR}
    -DVER_MINOR=${PROJECT_VERSION_MINOR}
    -DVER_STEP=${PROJECT_VERSION_PATCH}
    -DVER_TWEAK=${VERSION_SUFFIX}
    -DAPPLICATION_NAME=${PROJECT_NAME}
)

# and other funny defines -> maybe config.h is a better place for that
add_definitions(-DROUTINO_XML_PATH=${ROUTINO_XML_PATH})

###############################################################################################
# All source files needed to compile
###############################################################################################

set( SRCS    
    CAbout.cpp
    CMainWindow.cpp
    CSingleInstanceProxy.cpp
    GeoMath.cpp
    canvas/CCanvas.cpp
    canvas/CCanvasSetup.cpp
    canvas/CCanvasSelect.cpp
    canvas/IDrawContext.cpp
    canvas/IDrawObject.cpp
    dem/CDemDraw.cpp
    dem/CDemItem.cpp
    dem/CDemList.cpp
    dem/CDemPathSetup.cpp
    dem/CDemPropSetup.cpp
    dem/CDemVRT.cpp
    dem/CDemWCS.cpp
    dem/IDem.cpp
    dem/IDemProp.cpp
    device/CDeviceGarmin.cpp
    device/CDeviceGarminArchive.cpp
    device/CDeviceTwoNav.cpp
    device/IDevice.cpp
    device/IDeviceWatcher.cpp
    gis/CGisDatabase.cpp
    gis/CGisDraw.cpp
    gis/CGisListDB.cpp
    gis/CGisListWks.cpp
    gis/CGisWorkspace.cpp
    gis/CSelDevices.cpp    
    gis/IGisItem.cpp
    gis/IGisLine.cpp
    gis/db/CDBFolderGroup.cpp
    gis/db/CDBFolderLostFound.cpp
    gis/db/CDBFolderMysql.cpp
    gis/db/CDBFolderOther.cpp
    gis/db/CDBFolderProject.cpp
    gis/db/CDBFolderSqlite.cpp
    gis/db/CDBItem.cpp
    gis/db/CDBProject.cpp
    gis/db/CExportDatabase.cpp
    gis/db/CExportDatabaseThread.cpp
    gis/db/CLostFoundProject.cpp
    gis/db/CSearchDatabase.cpp
    gis/db/CSelectDBFolder.cpp
    gis/db/CSelectSaveAction.cpp
    gis/db/CSetupDatabase.cpp
    gis/db/CSetupFolder.cpp
    gis/db/CSetupWorkspace.cpp
    gis/db/IDB.cpp
    gis/db/IDBFolder.cpp
    gis/db/IDBFolderSql.cpp
    gis/db/IDBMysql.cpp
    gis/db/IDBSqlite.cpp
    gis/fit/CFitProject.cpp
    gis/fit/CFitStream.cpp
    gis/fit/decoder/CFitByteDataTransformer.cpp
    gis/fit/decoder/CFitCrcState.cpp
    gis/fit/decoder/CFitDecoder.cpp
    gis/fit/decoder/CFitDefinitionMessage.cpp
    gis/fit/decoder/CFitDevFieldDefinition.cpp
    gis/fit/decoder/CFitDevFieldDefinitionState.cpp
    gis/fit/decoder/CFitField.cpp
    gis/fit/decoder/CFitFieldBuilder.cpp
    gis/fit/decoder/CFitFieldDataState.cpp
    gis/fit/decoder/CFitFieldDefinition.cpp
    gis/fit/decoder/CFitFieldDefinitionState.cpp
    gis/fit/decoder/CFitHeaderState.cpp
    gis/fit/decoder/CFitMessage.cpp
    gis/fit/decoder/CFitRecordContentState.cpp
    gis/fit/decoder/CFitRecordHeaderState.cpp
    gis/fit/decoder/IFitDecoderState.cpp
    gis/fit/defs/CFitBaseType.cpp
    gis/fit/defs/CFitFieldProfile.cpp
    gis/fit/defs/CFitProfile.cpp
    gis/fit/defs/CFitProfileLookup.cpp
    gis/fit/serialization.cpp
    gis/gpx/CGpxProject.cpp
    gis/gpx/serialization.cpp
    gis/ovl/CDetailsOvlArea.cpp
    gis/ovl/CGisItemOvlArea.cpp
    gis/ovl/CScrOptOvlArea.cpp
    gis/prj/CDetailsPrj.cpp
    gis/prj/IGisProject.cpp
    gis/qlb/CQlbProject.cpp
    gis/qms/CQmsProject.cpp
    gis/qms/serialization.cpp
    gis/rte/CCreateRouteFromWpt.cpp
    gis/rte/CDetailsRte.cpp
    gis/rte/CGisItemRte.cpp
    gis/rte/CScrOptRte.cpp
    gis/rte/router/CRouterBRouter.cpp
    gis/rte/router/CRouterMapQuest.cpp
    gis/rte/router/CRouterRoutino.cpp
    gis/rte/router/CRouterSetup.cpp
    gis/rte/router/IRouter.cpp
    gis/rte/router/brouter/CRouterBRouterInfo.cpp
    gis/rte/router/brouter/CRouterBRouterLocal.cpp
    gis/rte/router/brouter/CRouterBRouterSetup.cpp
    gis/rte/router/brouter/CRouterBRouterSetupPage.cpp
    gis/rte/router/brouter/CRouterBRouterSetupWizard.cpp
    gis/rte/router/brouter/CRouterBRouterTilesPage.cpp
    gis/rte/router/brouter/CRouterBRouterTilesSelect.cpp
    gis/rte/router/brouter/CRouterBRouterTilesSelectArea.cpp
    gis/rte/router/brouter/CRouterBRouterToolShell.cpp
    gis/rte/router/routino/CRouterRoutinoPathSetup.cpp
    gis/search/CGeoSearch.cpp
    gis/search/CGeoSearchConfig.cpp
    gis/search/CGeoSearchConfigDialog.cpp
    gis/search/CGeoSearchWeb.cpp
    gis/search/CGeoSearchWebConfigDialog.cpp
    gis/slf/CSlfProject.cpp
    gis/slf/CSlfReader.cpp
    gis/summary/CGisSummary.cpp
    gis/summary/CGisSummaryDropZone.cpp
    gis/summary/CGisSummarySetup.cpp
    gis/suunto/CLogProject.cpp
    gis/suunto/CSmlProject.cpp
    gis/suunto/ISuuntoProject.cpp
    gis/tcx/CTcxProject.cpp
    gis/tcx/serialization.cpp
    gis/tnv/CTwoNavProject.cpp
    gis/tnv/serialization.cpp
    gis/trk/CActivityTrk.cpp
    gis/trk/CCombineTrk.cpp
    gis/trk/CCutTrk.cpp
    gis/trk/CDetailsTrk.cpp
    gis/trk/CGisItemTrk.cpp
    gis/trk/CInvalidTrk.cpp
    gis/trk/CKnownExtension.cpp
    gis/trk/CPropertyTrk.cpp
    gis/trk/CScrOptTrk.cpp
    gis/trk/CSelectActivityColor.cpp
    gis/trk/CTableTrk.cpp
    gis/trk/CTrackData.cpp
    gis/trk/filter/CFilterChangeStartPoint.cpp
    gis/trk/filter/CFilterDelete.cpp
    gis/trk/filter/CFilterDeleteExtension.cpp
    gis/trk/filter/CFilterDouglasPeuker.cpp
    gis/trk/filter/CFilterInterpolateElevation.cpp
    gis/trk/filter/CFilterInvalid.cpp
    gis/trk/filter/CFilterLoopsCut.cpp
    gis/trk/filter/CFilterMedian.cpp
    gis/trk/filter/CFilterNewDate.cpp
    gis/trk/filter/CFilterObscureDate.cpp
    gis/trk/filter/CFilterOffsetElevation.cpp
    gis/trk/filter/CFilterReplaceElevation.cpp
    gis/trk/filter/CFilterReset.cpp
    gis/trk/filter/CFilterSpeed.cpp
    gis/trk/filter/CFilterSpeedConst.cpp
    gis/trk/filter/CFilterSpeedCycle.cpp
    gis/trk/filter/CFilterSpeedHike.cpp
    gis/trk/filter/CFilterSplitSegment.cpp
    gis/trk/filter/CFilterSubPt2Pt.cpp
    gis/trk/filter/CFilterTerrainSlope.cpp
    gis/trk/filter/CFilterZeroSpeedDriftCleaner.cpp
    gis/trk/filter/filter.cpp
    gis/wpt/CDetailsGeoCache.cpp
    gis/wpt/CDetailsWpt.cpp
    gis/wpt/CGisItemWpt.cpp
    gis/wpt/CProjWpt.cpp
    gis/wpt/CScrOptWpt.cpp
    gis/wpt/CScrOptWptRadius.cpp
    gis/wpt/CSetupIconAndName.cpp
    grid/CGrid.cpp
    grid/CGridSetup.cpp
    grid/CProjWizard.cpp
    grid/mitab.cpp
    helpers/CDraw.cpp
    helpers/CElevationDialog.cpp
    helpers/CInputDialog.cpp
    helpers/CLimit.cpp
    helpers/CLinksDialog.cpp
    helpers/CPhotoViewer.cpp
    helpers/CPositionDialog.cpp
    helpers/CProgressDialog.cpp
    helpers/CSelectCopyAction.cpp
    helpers/CSelectProjectDialog.cpp
    helpers/CToolBarConfig.cpp
    helpers/CToolBarSetupDialog.cpp
    helpers/CValue.cpp
    helpers/CWptIconDialog.cpp
    helpers/CWptIconManager.cpp
    main.cpp
    map/CMapDraw.cpp
    map/CMapGEMF.cpp
    map/CMapIMG.cpp
    map/CMapItem.cpp
    map/CMapJNX.cpp
    map/CMapList.cpp
    map/CMapMAP.cpp
    map/CMapPathSetup.cpp
    map/CMapPropSetup.cpp
    map/CMapRMAP.cpp
    map/CMapTMS.cpp
    map/CMapVRT.cpp
    map/CMapWMTS.cpp
    map/IMap.cpp
    map/IMapOnline.cpp
    map/IMapProp.cpp
    map/cache/CDiskCache.cpp
    map/garmin/CGarminPoint.cpp
    map/garmin/CGarminPolygon.cpp
    map/garmin/CGarminStrTbl6.cpp
    map/garmin/CGarminStrTbl8.cpp
    map/garmin/CGarminStrTblUtf8.cpp
    map/garmin/CGarminTyp.cpp
    map/garmin/IGarminStrTbl.cpp
    map/mapsforge/types.cpp
    misc.h
    mouse/CMouseAdapter.cpp
    mouse/CMouseDummy.cpp
    mouse/CMouseEditArea.cpp
    mouse/CMouseEditRte.cpp
    mouse/CMouseEditTrk.cpp
    mouse/CMouseMoveWpt.cpp
    mouse/CMouseNormal.cpp
    mouse/CMousePrint.cpp
    mouse/CMouseRadiusWpt.cpp
    mouse/CMouseRangeTrk.cpp
    mouse/CMouseRuler.cpp
    mouse/CMouseSelect.cpp
    mouse/CMouseWptBubble.cpp
    mouse/CScrOptPrint.cpp
    mouse/CScrOptRangeTrk.cpp
    mouse/CScrOptRuler.cpp
    mouse/CScrOptSelect.cpp
    mouse/CScrOptSemaphoreLocker.cpp
    mouse/CScrOptUnclutter.cpp
    mouse/IMouse.cpp
    mouse/IMouseSelect.cpp
    mouse/IScrOpt.cpp
    mouse/line/CLineOpAddPoint.cpp
    mouse/line/CLineOpDeletePoint.cpp
    mouse/line/CLineOpMovePoint.cpp
    mouse/line/CLineOpSelectRange.cpp
    mouse/line/CScrOptEditLine.cpp
    mouse/line/CScrOptRangeLine.cpp    
    mouse/line/ILineOp.cpp
    mouse/line/IMouseEditLine.cpp
    plot/CPlot.cpp
    plot/CPlotAxis.cpp
    plot/CPlotAxisTime.cpp
    plot/CPlotData.cpp
    plot/CPlotProfile.cpp
    plot/CPlotTrack.cpp
    plot/IPlot.cpp
    plot/ITrack.cpp
    print/CPrintDialog.cpp
    qlgt/CQlb.cpp
    qlgt/CQlgtDb.cpp
    qlgt/CQlgtDiary.cpp
    qlgt/CQlgtFolder.cpp
    qlgt/CQlgtRoute.cpp
    qlgt/CQlgtTrack.cpp
    qlgt/CQlgtWpt.cpp
    qlgt/CQmsDb.cpp
    qlgt/IItem.cpp
    qlgt/IQlgtOverlay.cpp
    qlgt/converter.cpp
    realtime/CRtDraw.cpp
    realtime/CRtSelectSource.cpp
    realtime/CRtWorkspace.cpp
    realtime/IRtRecord.cpp
    realtime/IRtSource.cpp
    realtime/opensky/CRtOpenSky.cpp
    realtime/opensky/CRtOpenSkyInfo.cpp
    realtime/opensky/CRtOpenSkyRecord.cpp
    setup/CAppSetupLinux.cpp
    setup/CAppSetupMac.cpp
    setup/CAppSetupWin.cpp
    setup/CCommandProcessor.cpp
    setup/CLogHandler.cpp
    setup/IAppSetup.cpp
    tool/CImportDatabase.cpp
    tool/CMapVrtBuilder.cpp
    tool/CRoutinoDatabaseBuilder.cpp
    tool/IToolShell.cpp
    units/CCoordFormatSetup.cpp
    units/CTimeZoneSetup.cpp
    units/CUnitImperial.cpp
    units/CUnitMetric.cpp
    units/CUnitNautic.cpp
    units/CUnitsSetup.cpp
    units/IUnit.cpp
    widgets/CColorLegend.cpp
    widgets/CDoubleSpinBox.cpp
    widgets/CFadingIcon.cpp
    widgets/CHistoryListWidget.cpp
    widgets/CLineEdit.cpp
    widgets/CPhotoAlbum.cpp
    widgets/CSelectDoubleListWidget.cpp
    widgets/CScaleLabel.cpp
    widgets/CTemplateWidget.cpp
    widgets/CTextEdit.cpp
    widgets/CTextEditWidget.cpp
    widgets/CTextEditWidgetSelMenu.cpp
    widgets/CTinySpinBox.cpp
)


if(Qt5DBus_FOUND)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherLinux.cpp
)
endif(Qt5DBus_FOUND)


if (APPLE)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherMac.cpp
)
endif(APPLE)

if(WIN32)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherWindows.cpp
)
endif(WIN32)


set( HDRS
    CAbout.h
    CMainWindow.h
    CSingleInstanceProxy.h
    GeoMath.h
    canvas/CCanvas.h
    canvas/CCanvasSetup.h
    canvas/CCanvasSelect.h
    canvas/IDrawContext.h
    canvas/IDrawObject.h
    dem/CDemDraw.h
    dem/CDemItem.h
    dem/CDemList.h
    dem/CDemPathSetup.h
    dem/CDemPropSetup.h
    dem/CDemVRT.h
    dem/CDemWCS.h
    dem/IDem.h
    dem/IDemProp.h
    device/CDeviceGarmin.h
    device/CDeviceGarminArchive.h
    device/CDeviceTwoNav.h
    device/IDevice.h
    device/IDeviceWatcher.h
    gis/CGisDatabase.h
    gis/CGisDraw.h
    gis/CGisListDB.h
    gis/CGisListWks.h
    gis/CGisWorkspace.h
    gis/CSelDevices.h    
    gis/IGisItem.h
    gis/IGisLine.h
    gis/Poi.h
    gis/db/CDBFolderGroup.h
    gis/db/CDBFolderLostFound.h
    gis/db/CDBFolderMysql.h
    gis/db/CDBFolderOther.h
    gis/db/CDBFolderProject.h
    gis/db/CDBFolderSqlite.h
    gis/db/CDBItem.h
    gis/db/CDBProject.h
    gis/db/CExportDatabase.h
    gis/db/CExportDatabaseThread.h
    gis/db/CLostFoundProject.h
    gis/db/CSearchDatabase.h
    gis/db/CSelectDBFolder.h
    gis/db/CSelectSaveAction.h
    gis/db/CSetupDatabase.h
    gis/db/CSetupFolder.h
    gis/db/CSetupWorkspace.h
    gis/db/IDB.h
    gis/db/IDBFolder.h
    gis/db/IDBFolderSql.h

=== src/qmaptool/CMakeLists.txt ===
# Prevent custom commands/targets outputs to be deleted by make clean
# We need this to prevent .ts files from being deleted with make clean, when
# UPDATE_TRANSLATIONS=ON
# WARNING: Only works with Makefile generator.
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM TRUE)
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

###############################################################################################
# Setup application name and version tags
###############################################################################################

set(APPLICATION_NAME qmaptool)
set(QMAPTOOL_VERSION_MAJOR 1)
set(QMAPTOOL_VERSION_MINOR 1)
set(QMAPTOOL_VERSION_PATCH 1)

add_definitions(
    -DVER_MAJOR=${QMAPTOOL_VERSION_MAJOR}
    -DVER_MINOR=${QMAPTOOL_VERSION_MINOR}
    -DVER_STEP=${QMAPTOOL_VERSION_PATCH}
    -DVER_TWEAK=${VERSION_SUFFIX}
    -DAPPLICATION_NAME=${APPLICATION_NAME}
)

###############################################################################################
# All source files needed to compile
###############################################################################################
set( SRCS
    CAbout.cpp
    canvas/CCanvas.cpp
    canvas/CDrawContextPixel.cpp
    canvas/CDrawContextProj.cpp
    canvas/IDrawContext.cpp
    CMainWindow.cpp
    CSingleInstanceProxy.cpp
    GeoMath.cpp
    helpers/CDraw.cpp
    helpers/CGdalFile.cpp
    helpers/mitab.cpp
    items/CItemCutMap.cpp
    items/CItemFile.cpp
    items/CItemListWidget.cpp
    items/CItemMap.cpp
    items/CItemMapLayer.cpp
    items/CItemRefMap.cpp
    items/CItemTreeWidget.cpp
    items/IItem.cpp
    main.cpp
    overlay/COverlayCutMap.cpp
    overlay/COverlayGridTool.cpp
    overlay/COverlayRefMap.cpp
    overlay/gridtool/CGridPlacer.cpp
    overlay/gridtool/CGridPoint.cpp
    overlay/gridtool/CGridSelArea.cpp
    overlay/gridtool/CGridSetRef.cpp
    overlay/IOverlay.cpp
    overlay/refmap/CDialogRefPoint.cpp
    overlay/refmap/COverlayRefMapPoint.cpp
    overlay/refmap/CProjWizard.cpp
    setup/CAppSetupLinux.cpp
    setup/CAppSetupMac.cpp
    setup/CAppSetupWin.cpp
    setup/CCommandProcessor.cpp
    setup/CLogHandler.cpp
    setup/CSetupExtTools.cpp
    setup/IAppSetup.cpp
    shell/CShellCmd.cpp
    shell/CShell.cpp
    tool/export/CToolExportJnx.cpp
    tool/CToolAddOverview.cpp
    tool/CToolBox.cpp
    tool/CToolCutMap.cpp
    tool/CToolExport.cpp    
    tool/CToolGrid.cpp
    tool/CToolOverviewGroupBox.cpp
    tool/CToolPalettize.cpp
    tool/CToolRefMap.cpp
    tool/CToolStack.cpp
    tool/ITool.cpp
    tool/IToolGui.cpp
    units/CCoordFormatSetup.cpp
    units/CTimeZoneSetup.cpp
    units/CUnitImperial.cpp
    units/CUnitMetric.cpp
    units/CUnitNautic.cpp
    units/CUnitsSetup.cpp
    units/IUnit.cpp
)

set( HDRS
    CAbout.h
    canvas/CCanvas.h
    canvas/CDrawContextPixel.h
    canvas/CDrawContextProj.h
    canvas/IDrawContext.h
    CMainWindow.h
    CSingleInstanceProxy.h
    GeoMath.h
    helpers/CDraw.h
    helpers/CGdalFile.h
    helpers/CSettings.h
    helpers/CSettings.h
    helpers/mitab.h
    items/CItemCutMap.h
    items/CItemFile.h
    items/CItemListWidget.h
    items/CItemMap.h
    items/CItemMapLayer.h
    items/CItemRefMap.h
    items/CItemTreeWidget.h
    items/IItem.h
    overlay/COverlayCutMap.h
    overlay/COverlayGridTool.h
    overlay/COverlayRefMap.h
    overlay/gridtool/CGridPlacer.h
    overlay/gridtool/CGridPoint.h
    overlay/gridtool/CGridSelArea.h
    overlay/gridtool/CGridSetRef.h
    overlay/IOverlay.h
    overlay/refmap/CDialogRefPoint.h
    overlay/refmap/COverlayRefMapPoint.h
    overlay/refmap/CProjWizard.h
    setup/CAppOpts.h
    setup/CAppSetupLinux.h
    setup/CAppSetupMac.h
    setup/CAppSetupWin.h
    setup/CCommandProcessor.h
    setup/CLogHandler.h
    setup/CSetupExtTools.h
    setup/IAppSetup.h
    shell/CShellCmd.h
    shell/CShell.h
    tool/export/CToolExportJnx.h
    tool/CToolAddOverview.h
    tool/CToolBox.h
    tool/CToolCutMap.h
    tool/CToolExport.h    
    tool/CToolGrid.h
    tool/CToolOverviewGroupBox.h
    tool/CToolPalettize.h
    tool/CToolRefMap.h
    tool/CToolStack.h
    tool/IToolGui.h
    tool/ITool.h
    units/CCoordFormatSetup.h
    units/CTimeZoneSetup.h
    units/CUnitImperial.h
    units/CUnitMetric.h
    units/CUnitNautic.h
    units/CUnitsSetup.h
    units/IUnit.h
    version.h
)

set( UIS
    IAbout.ui
    IMainWindow.ui
    items/IItemListWidget.ui
    items/IItemTreeWidget.ui
    overlay/gridtool/IGridPlacer.ui
    overlay/gridtool/IGridSelArea.ui
    overlay/gridtool/IGridSetRef.ui
    overlay/IOverlayCutMap.ui
    overlay/IOverlayGridTool.ui
    overlay/IOverlayRefMap.ui
    overlay/refmap/IDialogRefPoint.ui
    overlay/refmap/IProjWizard.ui
    setup/ISetupExtTools.ui
    tool/export/IToolExportJnx.ui
    tool/IToolAddOverview.ui
    tool/IToolCutMap.ui
    tool/IToolExport.ui    
    tool/IToolGrid.ui
    tool/IToolOverviewGroupBox.ui
    tool/IToolPalettize.ui
    tool/IToolRefMap.ui
    units/ICoordFormatSetup.ui
    units/ITimeZoneSetup.ui
    units/IUnitsSetup.ui
)


set( RCS
    resources.qrc
)


###############################################################################################
# Some Qt magic
###############################################################################################

qt5_wrap_ui(UI_HDRS ${UIS})
qt5_add_resources(RC_SRCS ${RCS})

###############################################################################################
# Translation related stuff
###############################################################################################
translate_ts(${APPLICATION_NAME}_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    UPDATE_OPTIONS "-I${CMAKE_CURRENT_SOURCE_DIR}" ${KEEP_OLD_TRANSLATIONS}
    SOURCES ${SRCS} ${HDRS} ${UIS}
    TEMPLATE ${APPLICATION_NAME}
    TRANSLATION_DIR "locale"
)

if (UNIX AND NOT WIN32 AND NOT APPLE)
    translate_desktop(${APPLICATION_NAME}_DESKTOP_FILES
        TRANSLATION_DIR "locale"
        SOURCES "${PROJECT_SOURCE_DIR}/qmaptool.desktop.in"
    )
endif()

###############################################################################################
# Build source file and include paths lists
###############################################################################################
set(MAININP
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${${APPLICATION_NAME}_QM_FILES}
    ${${APPLICATION_NAME}_DESKTOP_FILES}
)

include_directories(
    SYSTEM # this prevents warnings from non-QMS headers
    ${CMAKE_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
)

if(APPLE)
     INCLUDE_DIRECTORIES(/System/Library/Frameworks/Foundation.framework)
     INCLUDE_DIRECTORIES(/System/Library/Frameworks/DiskArbitration.framework)
endif(APPLE)


###############################################################################################
# Build the executable and define necessary libraries.
###############################################################################################
add_executable(${APPLICATION_NAME} WIN32 ${MAININP})

target_link_libraries(${APPLICATION_NAME}
    Qt5::Widgets
    Qt5::Network
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
)

if(APPLE)
     target_link_libraries(${APPLICATION_NAME}
     ${Foundation_LIBRARY}
     ${DiskArbitration_LIBRARY}
    )
endif(APPLE)


###############################################################################################
# Install target related stuff
###############################################################################################
install(TARGETS     ${APPLICATION_NAME}                     DESTINATION     ${BIN_INSTALL_DIR})

if (UNIX AND NOT WIN32 AND NOT APPLE)
    install(FILES   ${${APPLICATION_NAME}_QM_FILES}         DESTINATION     ${DATA_INSTALL_PREFIX}/${APPLICATION_NAME}/translations)
    install(FILES   ${${APPLICATION_NAME}_DESKTOP_FILES}    DESTINATION     ${XDG_APPS_DIR})
endif (UNIX AND NOT WIN32 AND NOT APPLE)

=== src/qmt_map2jnx/CMakeLists.txt ===


set(APPLICATION_NAME qmt_map2jnx)
set(MAP2JNX_VERSION_MAJOR 1)
set(MAP2JNX_VERSION_MINOR 0)
set(MAP2JNX_VERSION_PATCH 0)

add_definitions(
    -DVER_MAJOR=${MAP2JNX_VERSION_MAJOR}
    -DVER_MINOR=${MAP2JNX_VERSION_MINOR}
    -DVER_STEP=${MAP2JNX_VERSION_PATCH}
    -DVER_TWEAK=${VERSION_SUFFIX}
    -DAPPLICATION_NAME=${APPLICATION_NAME}
)


#if you don't want the full compiler output, remove the following line
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(SRCS main.cpp argv.cpp)
SET(HDRS argv.h)


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${GDAL_INCLUDE_DIRS}
  ${PROJ_INCLUDE_DIRS}
  ${JPEG_INCLUDE_DIRS}
)

if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

#list all source files here
ADD_EXECUTABLE( ${APPLICATION_NAME} ${SRCS} ${HDRS})

#add definitions, compiler switches, etc.
IF(UNIX)
  ADD_DEFINITIONS(-Wall)  
ENDIF(UNIX)

IF(WIN32)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF(WIN32)

TARGET_LINK_LIBRARIES(${APPLICATION_NAME} ${GDAL_LIBRARIES} ${PROJ_LIBRARIES} ${JPEG_LIBRARIES})

if(APPLE)
  set_target_properties(${APPLICATION_NAME} PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
    )
endif(APPLE)

install(
    TARGETS ${APPLICATION_NAME} DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
qmapshack (1.12.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>  Fri, 29 Jan 2021 09:17:05 +0800

=== debian/control ===
Source: qmapshack
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               libalglib-dev,
               libgdal-dev (>= 1.10.1-0~),
               libproj-dev,
               libroutino-dev (>= 3.1),
               libqt5opengl5-dev,
               libquazip5-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               qtwebengine5-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/qmapshack
Vcs-Git: https://salsa.debian.org/debian-gis-team/qmapshack.git
Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home

Package: qmapshack
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5sql5-sqlite
Recommends: gdal-bin,
            routino
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format.
 You can also view and edit your GPX tracks.
 QMapShack is the successor of QLandkarteGT.
 .
 Main features:
  - Use of several workspaces.
  - Use several maps on a workspace.
  - Handle data project-oriented.

## qmapshack 1.13.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,10 +18,29 @@
 endif()
 
 ###############################################################################################
+# Do distribution dependent stuff
+###############################################################################################
+string(TIMESTAMP YEAR "%Y")
+set(EXPIRE_YEAR "2021")
+set(DEBIAN_RELEASE_INFO "/etc/debian_version")
+
+if((EXISTS ${DEBIAN_RELEASE_INFO}) AND (${YEAR} LESS ${EXPIRE_YEAR}))
+    message( STATUS "Apply patches to fix build system on Debian")
+    execute_process(COMMAND bash "-c" "patch --quiet -p1 < FindPROJ4.patch"
+                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+                    OUTPUT_QUIET)
+    execute_process(COMMAND bash "-c" "patch --quiet -p1 < FindQuaZip5.patch"
+                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+                    OUTPUT_QUIET)
+endif((EXISTS ${DEBIAN_RELEASE_INFO}) AND (${YEAR} LESS ${EXPIRE_YEAR}))
+
+
+
+###############################################################################################
 # Define project name and version tags
 ###############################################################################################
 # this is not only the QMS version it will be the package version, too.
-project(QMapShack VERSION 1.12.3)
+project(QMapShack VERSION 1.13.1)
 
 # FOR A RELEASE:
 # remove "development" for a release
@@ -33,7 +52,11 @@
 # Define paths and include other modules
 ###############################################################################################
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
+if(WIN32)
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_SOURCE_DIR}/msvc_64/cmake)
+else(WIN32)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)
+endif(WIN32)
 
 # all binaries are collected in the ./bin directory
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
@@ -86,9 +109,9 @@
 endif(APPLE)
 
 if(WIN32)
-    set(QT_DEV_PATH   "C:\\Qt5\\5.12.1\\msvc2017_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.11.1\\msvc2017_64")
+    set(QT_DEV_PATH   "C:\\Qt5\\5.12.1\\msvc2017_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.12.1\\msvc2017_64")
     set(GDAL_DEV_PATH "C:\\GDAL" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
-    set(PROJ_DEV_PATH "C:\\PROJ" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
+    set(PROJ4_DEV_PATH "C:\\PROJ6" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ6")
     set(ROUTINO_DEV_PATH "C:\\routino" CACHE PATH "Path to directory containing routino include and lib, e.g. M:\\lib\\routino")
     set(QUAZIP_DEV_PATH "C:\\quazip" CACHE PATH "Path to directory containing quazip include and lib, e.g. M:\\lib\\quazip5")
     set(JPEG_DEV_PATH "C:\\JPEG" CACHE PATH "Path to directory containing JPEG include and lib, e.g. M:\\lib\\JPEG")
@@ -135,15 +158,19 @@
 find_package(Qt5WebEngineWidgets    REQUIRED)
 find_package(Qt5Qml                 REQUIRED)
 find_package(GDAL                   REQUIRED)
-find_package(PROJ                   REQUIRED)
+find_package(PROJ4                  REQUIRED)
 find_package(JPEG                   REQUIRED)
 find_package(ROUTINO                REQUIRED)
-find_package(QuaZip                 REQUIRED)
+find_package(QuaZip5                REQUIRED)
 find_package(ALGLIB                         ) # optional as we can use our local version
 
 
 if(${Qt5Widgets_VERSION} VERSION_LESS 5.8.0)
     message( SEND_ERROR "You need at least Qt5.8 or newer.")
+endif()
+
+if(${PROJ4_VERSION} VERSION_LESS 5.0.0)
+    message( SEND_ERROR "You need at least PROJ4 5.0.0 or newer.")
 endif()
 
 if(USE_QT5DBus)
@@ -166,6 +193,8 @@
     set(ALGLIB_LIBRARIES alg)
     add_subdirectory(3rdparty/alglib)
 endif(NOT ALGLIB_FOUND AND BUILD_QMAPSHACK)
+
+add_definitions(-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H)
 
 ###############################################################################################
 # Create global config.h

=== src/qmapshack/CMakeLists.txt ===
--- 
+++ 
@@ -164,6 +164,7 @@
     gis/trk/CScrOptTrk.cpp
     gis/trk/CSelectActivityColor.cpp
     gis/trk/CTableTrk.cpp
+    gis/trk/CTableTrkInfo.cpp
     gis/trk/CTrackData.cpp
     gis/trk/filter/CFilterChangeStartPoint.cpp
     gis/trk/filter/CFilterDelete.cpp
@@ -279,6 +280,7 @@
     plot/IPlot.cpp
     plot/ITrack.cpp
     print/CPrintDialog.cpp
+    print/CScreenshotDialog.cpp
     qlgt/CQlb.cpp
     qlgt/CQlgtDb.cpp
     qlgt/CQlgtDiary.cpp
@@ -293,8 +295,12 @@
     realtime/CRtDraw.cpp
     realtime/CRtSelectSource.cpp
     realtime/CRtWorkspace.cpp
+    realtime/IRtInfo.cpp
     realtime/IRtRecord.cpp
     realtime/IRtSource.cpp
+    realtime/gpstether/CRtGpsTether.cpp
+    realtime/gpstether/CRtGpsTetherInfo.cpp
+    realtime/gpstether/CRtGpsTetherRecord.cpp
     realtime/opensky/CRtOpenSky.cpp
     realtime/opensky/CRtOpenSkyInfo.cpp
     realtime/opensky/CRtOpenSkyRecord.cpp
@@ -398,12 +404,3 @@
     gis/db/CExportDatabase.h
     gis/db/CExportDatabaseThread.h
     gis/db/CLostFoundProject.h
-    gis/db/CSearchDatabase.h
-    gis/db/CSelectDBFolder.h
-    gis/db/CSelectSaveAction.h
-    gis/db/CSetupDatabase.h
-    gis/db/CSetupFolder.h
-    gis/db/CSetupWorkspace.h
-    gis/db/IDB.h
-    gis/db/IDBFolder.h
-    gis/db/IDBFolderSql.h

=== src/qmaptool/CMakeLists.txt ===
--- 
+++ 
@@ -229,7 +229,7 @@
     SYSTEM # this prevents warnings from non-QMS headers
     ${CMAKE_BINARY_DIR}
     ${GDAL_INCLUDE_DIRS}
-    ${PROJ_INCLUDE_DIRS}
+    ${PROJ4_INCLUDE_DIRS}
 )
 
 if(APPLE)
@@ -247,7 +247,7 @@
     Qt5::Widgets
     Qt5::Network
     ${GDAL_LIBRARIES}
-    ${PROJ_LIBRARIES}
+    ${PROJ4_LIBRARIES}
 )
 
 if(APPLE)

=== src/qmt_map2jnx/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${GDAL_INCLUDE_DIRS}
-  ${PROJ_INCLUDE_DIRS}
+  ${PROJ4_INCLUDE_DIRS}
   ${JPEG_INCLUDE_DIRS}
 )
 
@@ -46,7 +46,7 @@
   ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
 ENDIF(WIN32)
 
-TARGET_LINK_LIBRARIES(${APPLICATION_NAME} ${GDAL_LIBRARIES} ${PROJ_LIBRARIES} ${JPEG_LIBRARIES})
+TARGET_LINK_LIBRARIES(${APPLICATION_NAME} ${GDAL_LIBRARIES} ${PROJ4_LIBRARIES} ${JPEG_LIBRARIES})
 
 if(APPLE)
   set_target_properties(${APPLICATION_NAME} PROPERTIES

=== src/qmt_rgb2pct/CMakeLists.txt ===
# Prevent custom commands/targets outputs to be deleted by make clean
# We need this to prevent .ts files from being deleted with make clean, when
# UPDATE_TRANSLATIONS=ON
# WARNING: Only works with Makefile generator.
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM TRUE)
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

###############################################################################################
# Setup application name and version tags
###############################################################################################

set(APPLICATION_NAME qmt_rgb2pct)
set(RGB2PCT_VERSION_MAJOR 1)
set(RGB2PCT_VERSION_MINOR 0)
set(RGB2PCT_VERSION_PATCH 0)

add_definitions(
    -DVER_MAJOR=${RGB2PCT_VERSION_MAJOR}
    -DVER_MINOR=${RGB2PCT_VERSION_MINOR}
    -DVER_STEP=${RGB2PCT_VERSION_PATCH}
    -DVER_TWEAK=${VERSION_SUFFIX}
    -DAPPLICATION_NAME=${APPLICATION_NAME}
)

###############################################################################################
# All source files needed to compile
###############################################################################################
set( SRCS
    main.cpp
    CApp.cpp
)

set( HDRS
    version.h
    CApp.h
)

set( UIS
)

set( RCS
)

###############################################################################################
# Some Qt magic
###############################################################################################

qt5_wrap_ui(UI_HDRS ${UIS})
qt5_add_resources(RC_SRCS ${RCS})

###############################################################################################
# Translation related stuff
###############################################################################################
translate_ts(${APPLICATION_NAME}_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    UPDATE_OPTIONS "-I${CMAKE_CURRENT_SOURCE_DIR}" ${KEEP_OLD_TRANSLATIONS}
    SOURCES ${SRCS} ${HDRS} ${UIS}
    TEMPLATE ${APPLICATION_NAME}
    TRANSLATION_DIR "locale"
)

###############################################################################################
# Build source file and include paths lists
###############################################################################################
set(MAININP
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${${APPLICATION_NAME}_QM_FILES}
    ${${APPLICATION_NAME}_DESKTOP_FILES}
)

include_directories(
    SYSTEM # this prevents warnings from non-QMS headers
    ${CMAKE_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ4_INCLUDE_DIRS}
)

if(APPLE)
     INCLUDE_DIRECTORIES(/System/Library/Frameworks/Foundation.framework)
     INCLUDE_DIRECTORIES(/System/Library/Frameworks/DiskArbitration.framework)
endif(APPLE)


###############################################################################################
# Build the executable and define necessary libraries.
###############################################################################################
add_executable(${APPLICATION_NAME} WIN32 ${MAININP})

target_link_libraries(${APPLICATION_NAME}
    Qt5::Core
    ${GDAL_LIBRARIES}
    ${PROJ4_LIBRARIES}
)

if(APPLE)
     target_link_libraries(${APPLICATION_NAME}
     ${Foundation_LIBRARY}
     ${DiskArbitration_LIBRARY}
    )
endif(APPLE)


###############################################################################################
# Install target related stuff
###############################################################################################
install(TARGETS     ${APPLICATION_NAME}                     DESTINATION     ${BIN_INSTALL_DIR})

if (UNIX AND NOT WIN32 AND NOT APPLE)
    install(FILES   ${${APPLICATION_NAME}_QM_FILES}         DESTINATION     ${DATA_INSTALL_PREFIX}/${APPLICATION_NAME}/translations)
    install(FILES   ${${APPLICATION_NAME}_DESKTOP_FILES}    DESTINATION     ${XDG_APPS_DIR})
endif (UNIX AND NOT WIN32 AND NOT APPLE)

=== debian/changelog ===
qmapshack (1.13.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Jul 2019 07:30:47 +0200

qmapshack (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Jul 2019 16:09:42 +0200

qmapshack (1.13.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jul 2019 06:57:36 +0200

qmapshack (1.13.0-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:27:33 +0200

qmapshack (1.13.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Remove package name from lintian overrides.
  * Update copyright file, changes:
    - Add Henri Hornburg to copyright holders
    - Add license & copyright for geocaching icons
  * Add patches for missing Find*.cmake files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Apr 2019 19:05:25 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                qttools5-dev,
                qttools5-dev-tools,
                qtwebengine5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/qmapshack
-Vcs-Git: https://salsa.debian.org/debian-gis-team/qmapshack.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/qmapshack.git -b buster-backports
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
 
 Package: qmapshack
